Debian Bug report logs - #610462
mkinitramfs fails when RCS dir exists in /etc

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: steff <steff.helsen@gmail.com>

Date: Tue, 18 Jan 2011 20:12:01 UTC

Severity: minor

Tags: patch

Found in version initramfs-tools/0.98.7

Fixed in version initramfs-tools/0.100

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Tue, 18 Jan 2011 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to steff <steff.helsen@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: steff <steff.helsen@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Tue, 18 Jan 2011 21:11:43 +0100
Package: initramfs-tools
Version: 0.98.7
Severity: important
Tags: squeeze

The error I'm encountering looks like bug 600453, although I
have a "normal" root and boot partition, and that was closed for
version 0.98.5. I include the relevant
sections of $(mount) and /etc/fstab below. I seem to have this problem
since 29 september; booting 2.6.32-3 ever since. Sorry I didn't report
this earlier (now that I've tried $(reportbug) once I'll react sooner)

~ $ mount
/dev/sda3 on / type ext4 (rw,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
/dev/sda1 on /boot type ext2 (rw)

~ $ sudo cat /etc/fstab 
# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0
LABEL=sda_root /               ext4    errors=remount-ro 0       1
LABEL=sda_boot /boot           ext2    defaults        0       2



-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 2.2M May 25  2010 /boot/initrd.img-2.6.32-3-686
-rw-r--r-- 1 root root 2.1M May  8  2010 /boot/initrd.img-2.6.32-3-686.bak
-rw-r--r-- 1 root root 2.2M Sep 29 19:06 /boot/initrd.img-2.6.32-5-686
-- /proc/cmdline
BOOT_IMAGE=/vmlinuz-2.6.32-3-686 root=UUID=babc58e6-f9a4-4deb-a62c-06e7bdb86fd5 ro quiet

-- resume
RESUME=/dev/disk/by-label/sda_swap
-- /proc/filesystems
	ext4
	ext2
	fuseblk
	vfat
	ext3
	reiserfs
	xfs
	jfs
	msdos
	ntfs
	minix
	hfs
	hfsplus
	qnx4
	ufs
	btrfs

-- lsmod
Module                  Size  Used by
btrfs                 363614  0 
zlib_deflate           15822  1 btrfs
crc32c                  2172  1 
libcrc32c                762  1 btrfs
ufs                    56150  0 
qnx4                    5118  0 
hfsplus                61001  0 
hfs                    33093  0 
minix                  17814  0 
ntfs                  163909  0 
msdos                   5118  0 
jfs                   134642  0 
xfs                   415456  0 
exportfs                2618  1 xfs
reiserfs              176200  0 
ext3                   94192  0 
jbd                    32161  1 ext3
nls_utf8                 908  1 
nls_cp437               4489  1 
vfat                    6538  1 
fat                    34908  2 msdos,vfat
usb_storage            29805  1 
parport_pc             15799  0 
ppdev                   4058  0 
lp                      5570  0 
parport                22554  3 parport_pc,ppdev,lp
aes_i586                6816  2 
aes_generic            25738  1 aes_i586
container               1833  0 
power_meter             6882  0 
sbs                     4479  0 
sbshc                   2680  1 sbs
fan                     2586  0 
acpi_pad                3648  0 
pci_slot                2686  0 
fuse                   43750  1 
ipt_REJECT              1517  5 
xt_recent               4905  6 
xt_tcpudp               1743  3 
nf_conntrack_ipv4       7597  6 
nf_defrag_ipv4           779  1 nf_conntrack_ipv4
xt_state                 927  6 
nf_conntrack           38063  2 nf_conntrack_ipv4,xt_state
ipt_LOG                 3570  6 
xt_limit                1088  6 
iptable_filter          1790  1 
ip_tables               7690  1 iptable_filter
x_tables                8327  7 ipt_REJECT,xt_recent,xt_tcpudp,xt_state,ipt_LOG,xt_limit,ip_tables
ext2                   46289  1 
loop                    9753  0 
firewire_sbp2           9639  0 
uhci_hcd               16045  0 
ide_cd_mod             21076  0 
cdrom                  26487  1 ide_cd_mod
ata_generic             2015  0 
snd_hda_codec_si3054     2410  1 
snd_hda_codec_realtek   163098  1 
ide_pci_generic         1924  0 
snd_hda_intel          16427  0 
joydev                  6771  0 
snd_hda_codec          46002  3 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel
arc4                     974  2 
snd_hwdep               4054  1 snd_hda_codec
ecb                     1405  2 
snd_pcm_oss            28671  0 
snd_mixer_oss          10461  1 snd_pcm_oss
iwl3945                45981  0 
snd_pcm                47362  4 snd_hda_codec_si3054,snd_hda_intel,snd_hda_codec,snd_pcm_oss
iwlcore                67814  1 iwl3945
snd_seq_midi            3576  0 
i915                  218794  2 
snd_rawmidi            12505  1 snd_seq_midi
snd_seq_midi_event      3684  1 snd_seq_midi
snd_seq                35459  2 snd_seq_midi,snd_seq_midi_event
drm_kms_helper         17247  1 i915
mac80211              122750  2 iwl3945,iwlcore
snd_timer              12258  2 snd_pcm,snd_seq
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
drm                   107671  3 i915,drm_kms_helper
cfg80211               87581  3 iwl3945,iwlcore,mac80211
tg3                    88185  0 
sdhci_pci               4525  0 
snd                    34363  12 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
i2c_algo_bit            3497  1 i915
libphy                 11270  1 tg3
ehci_hcd               27574  0 
firewire_ohci          16509  0 
video                  14605  1 i915
piix                    3564  0 
sdhci                  12143  1 sdhci_pci
rfkill                 10260  1 cfg80211
soundcore               3450  1 snd
usbcore                98126  4 usb_storage,uhci_hcd,ehci_hcd
output                  1204  1 video
serio_raw               2916  0 
evdev                   5609  23 
ide_core               64146  3 ide_cd_mod,ide_pci_generic,piix
intel_agp              20233  1 
firewire_core          31139  2 firewire_sbp2,firewire_ohci
battery                 3782  0 
button                  3598  1 i915
mmc_core               38491  1 sdhci
i2c_i801                6442  0 
nls_base                4541  9 hfsplus,hfs,ntfs,jfs,nls_utf8,nls_cp437,vfat,fat,usbcore
pcspkr                  1207  0 
crc_itu_t               1035  1 firewire_core
ricoh_mmc               2561  0 
led_class               1757  3 iwl3945,iwlcore,sdhci
snd_page_alloc          5041  2 snd_hda_intel,snd_pcm
i2c_core               12648  4 i915,drm,i2c_algo_bit,i2c_i801
wmi                     3575  0 
agpgart                19516  2 drm,intel_agp
processor              26571  1 
ac                      1640  0 
psmouse                44413  0 
ext4                  254909  2 
mbcache                 3762  3 ext3,ext2,ext4
jbd2                   56059  1 ext4
crc16                   1027  1 ext4
sd_mod                 25781  7 
crc_t10dif              1012  1 sd_mod
ahci                   26966  4 
libata                114408  2 ata_generic,ahci
thermal                 9206  0 
thermal_sys             9378  4 fan,video,processor,thermal
scsi_mod              101297  4 usb_storage,firewire_sbp2,sd_mod,libata

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
BOOT=local
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
dmsetup
keymap
klibc
thermal
udev


-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=nl_NL@euro, LC_CTYPE=nl_NL@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1+b1 utilities for finding files--find,
ii  klibc-utils                   1.5.20-1   small utilities built with klibc f
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  udev                          164-3      /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.17.1-8 Tiny utilities for small and embed

Versions of packages initramfs-tools suggests:
pn  bash-completion               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Tue, 18 Jan 2011 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 20:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 610462@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: steff <steff.helsen@gmail.com>, 610462@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Tue, 18 Jan 2011 20:15:18 +0000
tags 610462 moreinfo
stop

On Tue, Jan 18, 2011 at 09:11:43PM +0100, steff wrote:
> 
> The error I'm encountering looks like bug 600453, although I
> have a "normal" root and boot partition, and that was closed for
> version 0.98.5. I include the relevant
> sections of $(mount) and /etc/fstab below. I seem to have this problem
> since 29 september; booting 2.6.32-3 ever since. Sorry I didn't report
> this earlier (now that I've tried $(reportbug) once I'll react sooner)

please post full update-initramfs error.
currently it is unclear to me what trouble you are seeing.
 
thank you.

-- 
maks




Added tag(s) moreinfo. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Tue, 18 Jan 2011 20:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Tue, 18 Jan 2011 20:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to steff <steff.helsen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 20:24:08 GMT) Full text and rfc822 format available.

Message #17 received at 610462@bugs.debian.org (full text, mbox):

From: steff <steff.helsen@gmail.com>
To: maximilian attems <max@stro.at>
Cc: 610462@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Tue, 18 Jan 2011 21:22:20 +0100
[Message part 1 (text/plain, inline)]
Sorry.

~ $ update-initramfs -u
update-initramfs: Generating /boot/initrd.img-2.6.32-5-686
update-initramfs: failed for /boot/initrd.img-2.6.32-5-686


On Tue, Jan 18, 2011 at 9:15 PM, maximilian attems <max@stro.at> wrote:

> tags 610462 moreinfo
> stop
>
> On Tue, Jan 18, 2011 at 09:11:43PM +0100, steff wrote:
> >
> > The error I'm encountering looks like bug 600453, although I
> > have a "normal" root and boot partition, and that was closed for
> > version 0.98.5. I include the relevant
> > sections of $(mount) and /etc/fstab below. I seem to have this problem
> > since 29 september; booting 2.6.32-3 ever since. Sorry I didn't report
> > this earlier (now that I've tried $(reportbug) once I'll react sooner)
>
> please post full update-initramfs error.
> currently it is unclear to me what trouble you are seeing.
>
> thank you.
>
> --
> maks
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Tue, 18 Jan 2011 20:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 20:30:08 GMT) Full text and rfc822 format available.

Message #22 received at 610462@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: steff <steff.helsen@gmail.com>, 610462@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Tue, 18 Jan 2011 20:28:10 +0000
On Tue, Jan 18, 2011 at 09:22:20PM +0100, steff wrote:
> Sorry.
> 
> ~ $ update-initramfs -u
> update-initramfs: Generating /boot/initrd.img-2.6.32-5-686
> update-initramfs: failed for /boot/initrd.img-2.6.32-5-686
> 

hmmm not seen that in a long time. 

please post output of:
 mkinitramfs -o /tmp/fooo -k 2.6.32-5-686

and output of:
 df -h

thank you.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Tue, 18 Jan 2011 20:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 20:36:07 GMT) Full text and rfc822 format available.

Message #27 received at 610462@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: steff <steff.helsen@gmail.com>, 610462@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Tue, 18 Jan 2011 21:33:57 +0100
[Message part 1 (text/plain, inline)]
* steff <steff.helsen@gmail.com> [Tue Jan 18, 2011 at 09:22:20PM +0100]:

> ~ $ update-initramfs -u
> update-initramfs: Generating /boot/initrd.img-2.6.32-5-686
> update-initramfs: failed for /boot/initrd.img-2.6.32-5-686

What does 'sh -x /usr/sbin/mkinitramfs -o /tmp/foo' display?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Sat, 29 Jan 2011 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steff <steff.helsen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 29 Jan 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #32 received at 610462@bugs.debian.org (full text, mbox):

From: Steff <steff.helsen@gmail.com>
To: maximilian attems <max@stro.at>, 610462@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Thu, 20 Jan 2011 17:27:39 +0100 (CET)
Op Thu, 20 Jan 2011 16:59:09 +0100 schreef maximilian attems:

> any update?

Sorry, the mail below bounced from Mika's mail, but not from 610462@bugs.debian.org, so I assumed you had had it.

Sorry again for wasting your time, and thanks again for the help.


steff

----
Op Tue, 18 Jan 2011 21:33:57 +0100 schreef Michael Prokop:

Found the culprit, between the chair and the keyboard as usual. I backup my config files using rcs. removing the RCS folder mentioned below makes everything run smooth again.

Thanks both for the quick help, and sorry for the burden.

A replay of the finish:

> What does 'sh -x /usr/sbin/mkinitramfs -o /tmp/foo' display?

+ umask 0022
+ export PATH=/usr/bin:/sbin:/bin
+ keep=n
+ CONFDIR=/etc/initramfs-tools
+ verbose=n
+ test -e /bin/busybox
+ BUSYBOXDIR=/bin
+ test -e /usr/lib/initramfs-tools/bin/busybox
+ export BUSYBOXDIR
+ getopt -o c:d:ko:r:v -n /usr/sbin/mkinitramfs -- -o /tmp/foo
+ OPTIONS= -o '/tmp/foo' --
+ [ 0 != 0 ]
+ eval set --  -o '/tmp/foo' --
+ set -- -o /tmp/foo --
+ true
+ outfile=/tmp/foo
+ shift 2
+ true
+ shift
+ break
+ . /usr/share/initramfs-tools/scripts/functions
+ . /usr/share/initramfs-tools/hook-functions
+ . /etc/initramfs-tools/initramfs.conf
+ MODULES=most
+ BUSYBOX=y
+ KEYMAP=n
+ COMPRESS=gzip
+ BOOT=local
+ DEVICE=
+ NFSROOT=auto
+ EXTRA_CONF=
+ [ -e /usr/share/initramfs-tools/conf.d/* ]
+ [ -e /etc/initramfs-tools/conf.d/RCS ]
+ grep -v \.dpkg-.*$
+ grep ^[[:alnum:]][[:alnum:]\._-]*$
+ basename /etc/initramfs-tools/conf.d/RCS
+ EXTRA_CONF= RCS
+ [ -e /etc/initramfs-tools/conf.d/driver-policy ]
+ grep -v \.dpkg-.*$
+ grep ^[[:alnum:]][[:alnum:]\._-]*$
+ basename /etc/initramfs-tools/conf.d/driver-policy
+ EXTRA_CONF= RCS driver-policy
+ [ -e /etc/initramfs-tools/conf.d/resume ]
+ grep -v \.dpkg-.*$
+ grep ^[[:alnum:]][[:alnum:]\._-]*$
+ basename /etc/initramfs-tools/conf.d/resume
+ EXTRA_CONF= RCS driver-policy resume
+ [ -e /etc/initramfs-tools/conf.d/RCS ]
+ . /etc/initramfs-tools/conf.d/RCS
----




Changed Bug title to 'mkinitramfs fails when RCS dir exists in /etc' from 'update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 15:21:07 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 12:42:07 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'important' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 12:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#610462; Package initramfs-tools. (Wed, 23 Nov 2011 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 23 Nov 2011 15:30:03 GMT) Full text and rfc822 format available.

Message #43 received at 610462@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Steff <steff.helsen@gmail.com>, 610462@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#610462: update-initramfs: failed for /boot/initrd.img-2.6.32-5-686 (errorcode 127)
Date: Wed, 23 Nov 2011 16:26:46 +0100
[Message part 1 (text/plain, inline)]
tags 610462 + pending
tags 610462 + patch
thanks

* Steff [Thu Jan 20, 2011 at 05:27:39PM +0100]:

> Sorry, the mail below bounced from Mika's mail, but not from
> 610462@bugs.debian.org, so I assumed you had had it.

> Sorry again for wasting your time, and thanks again for the help.

[...]

> Found the culprit, between the chair and the keyboard as usual. I
> backup my config files using rcs. removing the RCS folder
> mentioned below makes everything run smooth again.

> Thanks both for the quick help, and sorry for the burden.
[...]

Even though this is kind of EBKAC (thanks to Steff for the debugging
output) I'd like to make sure a user is notified about such a
situation. Therefore I just prepared a branch addressing this issue
for review and inclusion:

  http://anonscm.debian.org/gitweb/?p=kernel/initramfs-tools.git;a=shortlog;h=refs/heads/mika/test_for_directory

Feedback welcome.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 15:30:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 15:30:07 GMT) Full text and rfc822 format available.

Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Tue, 14 Feb 2012 14:51:22 GMT) Full text and rfc822 format available.

Notification sent to steff <steff.helsen@gmail.com>:
Bug acknowledged by developer. (Tue, 14 Feb 2012 14:51:22 GMT) Full text and rfc822 format available.

Message #52 received at 610462-close@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 610462-close@bugs.debian.org
Subject: Bug#610462: fixed in initramfs-tools 0.100
Date: Tue, 14 Feb 2012 14:48:33 +0000
Source: initramfs-tools
Source-Version: 0.100

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.100.dsc
  to main/i/initramfs-tools/initramfs-tools_0.100.dsc
initramfs-tools_0.100.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.100.tar.gz
initramfs-tools_0.100_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.100_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610462@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Prokop <mika@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Feb 2012 14:42:23 +0100
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.100
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Michael Prokop <mika@debian.org>
Description: 
 initramfs-tools - generic modular initramfs generator
Closes: 454665 566401 586381 589963 601319 607888 610462 615831 624702 628374 636495 639902 649399
Changes: 
 initramfs-tools (0.100) unstable; urgency=low
 .
   Release "singing in the snow ☃☃☃"
 .
   [ Michael Prokop ]
   * [16280bb] lsinitramfs: support xz/lzma, bzip2 and lzop as compress
     methods. (Closes: #586381)
   * [ee16a4e] set_initlist: redirect warning messages to stderr.
     (Closes: #601319)
   * [af110e0] Alternate Recommends on busybox-static (Closes: #639902,
     #454665)
   * [b61413d] warn user if directory is present in confdir
     (Closes: #610462)
 .
   [ maximilian attems ]
   * [5409ca7] manual_add_modules: No longer add firmware.agent too.
     (Closes: #566401)
   * [4f98b0b] mkinitramfs: Use version comparison for xz or other
     compression tools (Closes: #624702)
   * [d479b47] initramfs-tools: rephrase description
   * [07c822f] mkinitramfs: Check if TMPDIR is writable
   * [b9ff58c] mkinitramfs: Use /var/tmp rather then /tmp for space reasons
   * [bd3c5d8] Revert "Revert "mkinitramfs: Nuke MIN_VERSION handling.""
   * [313db4c] MODULES=dep: Use /sys again to decide for libata or ide
     (Closes: #607888)
   * [9bec96f] debian/control: Drop versioned depend on pre-Etch udev
     version
   * [02ea666] debian/control: Tighten dep on klibc-utils 1.5.23-2
   * [5c68e6e] init: Prepare for switch_root(8) usage
   * [5e1f500] update-initramfs: Cleanup nowadays unused run_lilo()
   * [b0d14a0] update-initramfs: run_bootloader() hooks on create too
   * [8d0ffcb] preinst: get rid of awk usage (Closes: #589963)
 .
   [ Timo Juhani Lindfors ]
   * [63932cc] panic(): print the name of each module before loading it
   * [cd1981e] panic: Load modules for highly probable USB keyboard
     (Closes: #615831)
 .
   [ Martin Pitt ]
   * [b1530ee] hooks/busybox: Fix 2.99 busybox breakage (Closes: #628374)
 .
   [ Alkis Georgopoulos ]
   * [b938c7e] configure_networking() wait for udev to populate available
     nics (LP: #682445)
 .
   [ Harald Hoyer ]
   * [9249db6] MODULES=dep: awk free version for root dev search
 .
   [ Sven Joachim ]
   * [717397c] copy_exec: Handle optimized libraries under multiarch paths
     (Closes: #636495)
 .
   [ Colin Watson ]
   * [6cf2bd7] mark Multi-Arch: foreign (Closes: #649399)
Checksums-Sha1: 
 bc2050eeb1a6bf59db6cd28df61a0ff5caa2d9aa 1020 initramfs-tools_0.100.dsc
 dc490fd5ced826064036e9673a85e046123da4f5 83219 initramfs-tools_0.100.tar.gz
 22bb0cebf88b5e0565760739f6ccb4f877558dfd 89390 initramfs-tools_0.100_all.deb
Checksums-Sha256: 
 82ba37e8eee1a451f65bcc1967b3f4d7866c19735f32f66b405ee0a2de70a9cb 1020 initramfs-tools_0.100.dsc
 137e0df9d7ad85aaf0094f18c1850e6eb37b1d120efcffb158b73ec806b3b0c2 83219 initramfs-tools_0.100.tar.gz
 da173ff372cfbc2b6869c42bdbe85365376052fb94363f73b89f4432a0868bf7 89390 initramfs-tools_0.100_all.deb
Files: 
 9bc857366110e632f554fba12d45f827 1020 utils optional initramfs-tools_0.100.dsc
 1b684b9f57c5e266f6a3ebf5bbbfab12 83219 utils optional initramfs-tools_0.100.tar.gz
 2a0d2934df4d5e3ddcc64997df3c0009 89390 utils optional initramfs-tools_0.100_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk86ZZUACgkQ2N9T+zficujjIwCdEcCfsrXrrKNXXbdN5B3E79Al
y+IAnjGWyvw9ltDoq36cs52PW4O7sEms
=OH9R
-----END PGP SIGNATURE-----





Removed tag(s) squeeze. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:50 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:54:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:08:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.